#include <bits/stdc++.h>

using namespace std;

int n,m;
int x,y,rez,niz[13];
int main () {
    cin>>n>>m;
    for(int i=1;i<=n;i++){
        cin>>niz[i];
    }
    rez=0;
    for(int i=1;i<=m;i++){
        cin>>x>>y;
        rez+=2;
    }
    cout<<rez<<endl;
    
    return 0;
}